//  DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS HEADER.
//
//   Copyright 2016-2018 Pascal ECHEMANN.
//
//   Licensed under the Apache License, Version 2.0 (the "License");
//   you may not use this file except in compliance with the License.
//   You may obtain a copy of the License at
//
//       http://www.apache.org/licenses/LICENSE-2.0
//
//   Unless required by applicable law or agreed to in writing, software
//   distributed under the License is distributed on an "AS IS" BASIS,
//   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
//   See the License for the specific language governing permissions and
//   limitations under the License.

/**
 * The <code>LogLevelString</code> Enum provides string values that represent
 * each level specified in the <code>LogLevel</code> Enum.
 */
export enum LogLevelString {

  /**
   * The string reference to the <code>LogLevel.TRACE</code> property.
   */
  TRACE = "TRACE",

  /**
   * The string reference to the <code>LogLevel.DEBUG</code> property.
   */
  DEBUG = "DEBUG",
  
  /**
   * The string reference to the <code>LogLevel.INFO</code> property.
   */
  INFO = "INFO",

  /**
   * The string reference to the <code>LogLevel.WARN</code> property.
   */
  WARN = "WARN",
  
  /**
   * The string reference to the <code>LogLevel.ERROR</code> property.
   */
  ERROR = "ERROR",
  
  /**
   * The string reference to the <code>LogLevel.ALWAYS</code> property.
   */
  ALWAYS = "ALWAYS"
};
