//  DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS HEADER.
//
//   Copyright 2016-2018 Pascal ECHEMANN.
//
//   Licensed under the Apache License, Version 2.0 (the "License"),
//   you may not use this file except in compliance with the License.
//   You may obtain a copy of the License at
//
//       http://www.apache.org/licenses/LICENSE-2.0
//
//   Unless required by applicable law or agreed to in writing, software
//   distributed under the License is distributed on an "AS IS" BASIS,
//   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
//   See the License for the specific language governing permissions and
//   limitations under the License.

/**
 * The <code>HttpMethod</code> Enum provides values that define HTTP methods.
 */
export enum HttpMethod {

  /**
   * Provides the reference for the <code>GET</code> HTTP method.
   */
  GET = "GET",

  /**
   * Provides the reference for the <code>POST</code> HTTP method.
   */
  POST = "POST",

  /**
   * Provides the reference for the <code>PUT</code> HTTP method.
   */
  PUT = "PUT",

  /**
   * Provides the reference for the <code>DELETE</code> HTTP method.
   */
  DELETE = "DELETE",

  /**
   * Provides the reference for the <code>HEAD</code> HTTP method.
   */
  HEAD = "HEAD",

  /**
   * Provides the reference for the <code>OPTIONS</code> HTTP method.
   */
  OPTIONS = "OPTIONS",

  /**
   * Provides the reference for the <code>TRACE</code> HTTP method.
   */
  TRACE = "TRACE",

  /**
   * Provides the reference for the <code>CONNECT</code> HTTP method.
   */
  CONNECT = "CONNECT"
}