//  DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS HEADER.
//
//   Copyright 2016-2018 Pascal ECHEMANN.
//
//   Licensed under the Apache License, Version 2.0 (the "License");
//   you may not use this file except in compliance with the License.
//   You may obtain a copy of the License at
//
//       http://www.apache.org/licenses/LICENSE-2.0
//
//   Unless required by applicable law or agreed to in writing, software
//   distributed under the License is distributed on an "AS IS" BASIS,
//   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
//   See the License for the specific language governing permissions and
//   limitations under the License.

/**
 * A collection of constants for working with JavaScript Enterprise Container
 * strings.
 */
export class JecStringsEnum {

  //////////////////////////////////////////////////////////////////////////////
  // Public constants
  //////////////////////////////////////////////////////////////////////////////

  /**
   * A static reference to the default JEC source path.
   */
  public static readonly SRC:string = "/src/";

  /**
   * The reference to the JEC <code>webapp</code> path.
   */
  public static readonly WEB_APP:string = "/webapp/";
  
  /**
   * The extension for TypeScript files.
   */
  public static readonly TS_EXTENSION:string = "ts";
  
  /**
   * The extension for JavaScript files.
   */
  public static readonly JS_EXTENSION:string = "js";
}